package com.qmth.themis.business.bean.result;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.themis.business.entity.TEAudio;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 场次音频result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/9/26
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class TEAudioResult extends TEAudio implements Serializable {

    @ApiModelProperty(value = "执行时间")
    private Long execTime;

    @ApiModelProperty(value = "考试开始时间")
    private Long startTime;

    @ApiModelProperty(value = "考试结束时间")
    private Long finishTime;

    @ApiModelProperty(value = "附件md5")
    private String attachmentMd5;

    public String getAttachmentMd5() {
        return attachmentMd5;
    }

    public void setAttachmentMd5(String attachmentMd5) {
        this.attachmentMd5 = attachmentMd5;
    }

    public Long getExecTime() {
        return execTime;
    }

    public void setExecTime(Long execTime) {
        this.execTime = execTime;
    }

    public Long getStartTime() {
        return startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }

    public Long getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Long finishTime) {
        this.finishTime = finishTime;
    }
}
